> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Achievement rewards overview

> Rewards distribution, XP/points timelines, assets



## OpenAPI

````yaml /openapi/analytics.json get /achievements/stats/rewards
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /achievements/stats/rewards:
    get:
      tags:
        - Achievement
      summary: Achievement rewards overview
      description: Rewards distribution, XP/points timelines, assets
      operationId: getAchievementRewardsOverview
      parameters:
        - in: query
          name: achievementId
          schema:
            type: string
            pattern: ^[a-f\d]{24}$
          required: true
        - in: query
          name: communityId
          schema:
            type: string
            pattern: ^[a-f\d]{24}$
        - in: query
          name: startDate
          schema:
            type: string
            format: date-time
        - in: query
          name: endDate
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalRewardsDistributed:
                    type: number
                  pointsAwarded:
                    type: number
                  xpAwarded:
                    type: number
                  rewardAssets:
                    type: array
                    items:
                      type: object
                      properties:
                        rewardId:
                          type: string
                        Image:
                          type:
                            - string
                            - 'null'
                        name:
                          type: string
                        url:
                          type:
                            - string
                            - 'null'
                        Type:
                          type: string
                          enum:
                            - assets
                            - entries
                        Distributed:
                          type: number
                        SupplyType:
                          type: string
                          enum:
                            - Shared
                            - Individual
                            - Unlimited
                        Remaining_Total:
                          type: string
                      required:
                        - rewardId
                        - Image
                        - name
                        - url
                        - Type
                        - Distributed
                        - SupplyType
                        - Remaining_Total
                  pointsTimeline:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date-time
                        value:
                          type: number
                      required:
                        - date
                        - value
                  xpTimeline:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date-time
                        value:
                          type: number
                      required:
                        - date
                        - value
                  combinedTimeline:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date-time
                        xp:
                          type: number
                        points:
                          type: number
                        rewards:
                          type: number
                      required:
                        - date
                        - xp
                        - points
                        - rewards
                required:
                  - totalRewardsDistributed
                  - pointsAwarded
                  - xpAwarded
                  - rewardAssets
                  - pointsTimeline
                  - xpTimeline
                  - combinedTimeline
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````